# gnome-print-paper-selector

## Name

gnome-print-paper-selector --

## Synopsis

    struct      GnomePaperPreview;
    struct      GnomePaperPreviewClass;
    #define     GNOME_TYPE_PAPER_SELECTOR
    #define     GNOME_PAPER_SELECTOR            (o)
    #define     GNOME_PAPER_SELECTOR_CLASS      (k)
    #define     GNOME_IS_PAPER_SELECTOR         (o)
    #define     GNOME_IS_PAPER_SELECTOR_CLASS   (k)
    #define     GNOME_PAPER_SELECTOR_GET_CLASS  (o)
    struct      GnomePaperSelector;
    struct      GnomePaperSelectorClass;
    #define     GNOME_TYPE_PRINT_UNIT_SELECTOR
    #define     GNOME_PRINT_UNIT_SELECTOR       (o)
    #define     GNOME_PRINT_UNIT_SELECTOR_CLASS (k)
    #define     GNOME_IS_PRINT_UNIT_SELECTOR    (o)
    #define     GNOME_IS_PRINT_UNIT_SELECTOR_CLASS(k)
    #define     GNOME_PRINT_UNIT_SELECTOR_GET_CLASS(o)
    struct      GnomePrintUnitSelector;
    struct      GnomePrintUnitSelectorClass;
    GtkWidget*  gnome_paper_preview_new         (GnomePrintConfig *config);
    GType       gnome_paper_selector_get_type   (void);
    GtkWidget*  gnome_paper_selector_new        (GnomePrintConfig *config);
    GtkWidget*  gnome_paper_selector_new_with_flags
                                                (GnomePrintConfig *config,
                                                 gint flags);
    GType       gnome_print_unit_selector_get_type
                                                (void);
    GtkWidget*  gnome_print_unit_selector_new   (guint bases);
    const GnomePrintUnit* gnome_print_unit_selector_get_unit
                                                (GnomePrintUnitSelector *selector);
    void        gnome_print_unit_selector_set_bases
                                                (GnomePrintUnitSelector *selector,
                                                 guint bases);
    void        gnome_print_unit_selector_set_unit
                                                (GnomePrintUnitSelector *selector,
                                                 const GnomePrintUnit *unit);
    void        gnome_print_unit_selector_add_adjustment
                                                (GnomePrintUnitSelector *selector,
                                                 GtkAdjustment *adjustment);
    void        gnome_print_unit_selector_remove_adjustment
                                                (GnomePrintUnitSelector *selector,
                                                 GtkAdjustment *adjustment);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GtkHBox
                                     +----GnomePaperSelector

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GtkHBox
                                     +----GnomePrintUnitSelector

## Implemented Interfaces

GnomePaperSelector implements AtkImplementorIface.

GnomePrintUnitSelector implements AtkImplementorIface.

## Signal Prototypes

    "modified"  void        user_function      (GnomePrintUnitSelector *printunitselector,
                                                gpointer user_data);

## Description

## Details

### struct GnomePaperPreview

    struct GnomePaperPreview {

    	GtkHBox box;

    	GtkWidget *canvas;

    	GnomeCanvasItem *item;

    	GnomePrintConfig *config;
    };

### struct GnomePaperPreviewClass

    struct GnomePaperPreviewClass;

### GNOME_TYPE_PAPER_SELECTOR

    #define GNOME_TYPE_PAPER_SELECTOR         (gnome_paper_selector_get_type ())

### GNOME_PAPER_SELECTOR()

    #define GNOME_PAPER_SELECTOR(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), GNOME_TYPE_PAPER_SELECTOR, GnomePaperSelector))

o : |

### GNOME_PAPER_SELECTOR_CLASS()

    #define GNOME_PAPER_SELECTOR_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST    ((k), GNOME_TYPE_PAPER_SELECTOR, GnomePaperSelectorClass))

k : |

### GNOME_IS_PAPER_SELECTOR()

    #define GNOME_IS_PAPER_SELECTOR(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), GNOME_TYPE_PAPER_SELECTOR))

o : |

### GNOME_IS_PAPER_SELECTOR_CLASS()

    #define GNOME_IS_PAPER_SELECTOR_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE    ((k), GNOME_TYPE_PAPER_SELECTOR))

k : |

### GNOME_PAPER_SELECTOR_GET_CLASS()

    #define GNOME_PAPER_SELECTOR_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS  ((o), GNOME_TYPE_PAPER_SELECTOR, GnomePaperSelectorClass))

o : |

### struct GnomePaperSelector

    struct GnomePaperSelector;

### struct GnomePaperSelectorClass

    struct GnomePaperSelectorClass;

### GNOME_TYPE_PRINT_UNIT_SELECTOR

    #define GNOME_TYPE_PRINT_UNIT_SELECTOR         (gnome_print_unit_selector_get_type ())

### GNOME_PRINT_UNIT_SELECTOR()

    #define GNOME_PRINT_UNIT_SELECTOR(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), GNOME_TYPE_PRINT_UNIT_SELECTOR, GnomePrintUnitSelector))

o : |

### GNOME_PRINT_UNIT_SELECTOR_CLASS()

    #define GNOME_PRINT_UNIT_SELECTOR_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST ((k),    GNOME_TYPE_PRINT_UNIT_SELECTOR, GnomePrintUnitSelectorClass))

k : |

### GNOME_IS_PRINT_UNIT_SELECTOR()

    #define GNOME_IS_PRINT_UNIT_SELECTOR(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), GNOME_TYPE_PRINT_UNIT_SELECTOR))

o : |

### GNOME_IS_PRINT_UNIT_SELECTOR_CLASS()

    #define GNOME_IS_PRINT_UNIT_SELECTOR_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k),    GNOME_TYPE_PRINT_UNIT_SELECTOR))

k : |

### GNOME_PRINT_UNIT_SELECTOR_GET_CLASS()

    #define GNOME_PRINT_UNIT_SELECTOR_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o),  GNOME_TYPE_PRINT_UNIT_SELECTOR, GnomePrintUnitSelectorClass))

o : |

### struct GnomePrintUnitSelector

    struct GnomePrintUnitSelector;

### struct GnomePrintUnitSelectorClass

    struct GnomePrintUnitSelectorClass;

### gnome_paper_preview_new ()

    GtkWidget*  gnome_paper_preview_new         (GnomePrintConfig *config);

config : |
Returns : |

### gnome_paper_selector_get_type ()

    GType       gnome_paper_selector_get_type   (void);

Returns : |

### gnome_paper_selector_new ()

    GtkWidget*  gnome_paper_selector_new        (GnomePrintConfig *config);

config : |
Returns : |

### gnome_paper_selector_new_with_flags ()

    GtkWidget*  gnome_paper_selector_new_with_flags
                                                (GnomePrintConfig *config,
                                                 gint flags);

config : |
flags : |
Returns : |

### gnome_print_unit_selector_get_type ()

    GType       gnome_print_unit_selector_get_type
                                                (void);

Returns : |

### gnome_print_unit_selector_new ()

    GtkWidget*  gnome_print_unit_selector_new   (guint bases);

bases : |
Returns : |

### gnome_print_unit_selector_get_unit ()

    const GnomePrintUnit* gnome_print_unit_selector_get_unit
                                                (GnomePrintUnitSelector *selector);

selector : |
Returns : |

### gnome_print_unit_selector_set_bases ()

    void        gnome_print_unit_selector_set_bases
                                                (GnomePrintUnitSelector *selector,
                                                 guint bases);

selector : |
bases : |

### gnome_print_unit_selector_set_unit ()

    void        gnome_print_unit_selector_set_unit
                                                (GnomePrintUnitSelector *selector,
                                                 const GnomePrintUnit *unit);

selector : |
unit : |

### gnome_print_unit_selector_add_adjustment ()

    void        gnome_print_unit_selector_add_adjustment
                                                (GnomePrintUnitSelector *selector,
                                                 GtkAdjustment *adjustment);

selector : |
adjustment : |

### gnome_print_unit_selector_remove_adjustment ()

    void        gnome_print_unit_selector_remove_adjustment
                                                (GnomePrintUnitSelector *selector,
                                                 GtkAdjustment *adjustment);

selector : |
adjustment : |

## Signals

### The "modified" signal

    void        user_function                  (GnomePrintUnitSelector *printunitselector,
                                                gpointer user_data);

printunitselector : | the object which received the signal.
user_data : | user data set when the signal handler was connected.